std::pointer_to_unary_function(3)

NAME
std::pointer_to_unary_function -

SYNOPSIS

Inherits unary_function< _Arg, _Result >.

Detailed Description

  template<class _Arg, class _Result> class std::pointer_to_unary_function< _Arg, _Result >

Definition at line 481 of file stl_function.h.

  Public Types
typedef _Arg argument_type
typedef _Result result_type

  Public Member Functions
_Result operator() (_Arg __x) const
pointer_to_unary_function (_Result(*__x)(_Arg))
pointer_to_unary_function ()

  Protected Attributes
_Result(* _M_ptr )(_Arg)

Member Typedef Documentation

  typedef _Arg argument_type [inherited]

argument_type is the type of the

Reimplemented in _Functor_Ref.

Definition at line 104 of file stl_function.h.

  typedef _Result result_type [inherited]

argument (no surprises here) result_type is the return type

Reimplemented in _Functor_Ref, and _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.